# GetValidatedLocation

Validate a location.

`GET /validation/location`

**API:** Avalara License Guidance Teaser API
**Tag:** Validation
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com/blms/webservice/api
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/registration-and-licensing/api/license-guidance-teaser/methods/Validation/GetValidatedLocation/

## Description

Validates a location and returns geocoded information if the location is valid. This endpoint can be used before calling the teaser endpoint.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `key` | string | query | Yes | Secure ID provided by Business Licenses, LLC. |
| `location[address]` | string | query | No | Street address of the location. |
| `location[city]` | string | query | No | City of the location. |
| `location[state]` | string | query | No | Two character state abbreviation of the location. |
| `location[zip]` | string | query | No | ZIP code of the location. |
| `location[plus4]` | string | query | No | ZIP4 code of the location. |
| `location[county]` | string | query | No | County of the location. |
| `location[country]` | string | query | Yes | Two character country code of the location. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns validation results and geocoded location information. | `LocationValidationResponse` |
| 400 |  |  |
| 401 |  |  |
| 429 |  |  |

### 200 Response: `LocationValidationResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `ResultCode` | string | No | Status message for the validation result. Example: ``. |
| `ErrorCode` | integer | No | Error code (0 = no error, 1 = invalid, 2 = warning) Example: `0`. |
| `ErrorMessage` | string | No | Error message if an error occurs. Example: ``. |
| `Location` | object | No | Validated location details. |

## Example Request

```bash
curl -X GET "https://www.businesslicenses.com/blms/webservice/api/validation/location" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```